import { PlayerMove } from "../entities/PlayerMove";
import { PlayerDto } from "./PlayerDto";

export interface GameState {
  id: string;
  players: PlayerDto[];
  boneyard: any[];
  currentPlayer: PlayerDto | null;
  board: any[];
  gameInProgress: boolean;
  winner?: any;
  gameBlocked: boolean;
  gameTied: boolean;
  gameId: string;
  tileSelectionPhase: boolean;
  boardFreeEnds: number[];
  lastMove: PlayerMove | null;
}  