export interface TileDto {
  id: string;
  pips?: number[];
  flipped: boolean;
  revealed: boolean;
  playerId: string | undefined;
}

export interface PlayerDto {
  id: string;
  name: string;
  score?: number;
  hand?: TileDto[];
  teamedWith?: PlayerDto | null;
  ready: boolean;
}