import { GameSummary } from "./GameSummary";
import { PlayerDto } from "./PlayerDto";

export interface MatchSessionState {
  id: string;
  name: string;
  creator: string;
  players: PlayerDto[];
  seed: string;
  waitingForPlayers: boolean;
  mode: string;
  pointsToWin: number;
  sessionInProgress: boolean;
  status: string;
  maxPlayers: number;
  numPlayers: number;
  waitingSeconds: number;
  scoreboard: { id: string, name: string; score: number; }[];
  matchWinner: PlayerDto | null;
  matchInProgress: boolean;
  playersReady: number,
  gameSummaries: GameSummary[];
}