import { PlayerMoveSide, PlayerMoveSideType } from '../../constants';
import { AbstractPlayer } from './AbstractPlayer';
import { Board } from '../Board';
import { PlayerMove } from '../PlayerMove';
import { Tile } from '../Tile';
import { PlayerInteractionConsole } from '../../PlayerInteractionConsole';
import { PlayerInteractionInterface } from '../../PlayerInteractionInterface';

export class PlayerHuman extends AbstractPlayer {
  playerInteraction: PlayerInteractionInterface = new PlayerInteractionConsole(this);
  constructor(id: string, name: string) {
    super(name);
    this.id = id;
  }
}